Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1690215 - podman push twice in a row actually does 2 pushed
Summary: podman push twice in a row actually does 2 pushed
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: podman
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lokesh Mandvekar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-19 03:11 UTC by Eric Paris
Modified: 2019-04-10 07:36 UTC (History)
5 users (show)

Fixed In Version: podman-1.2.0-2.git3bd528e.fc30 podman-1.2.0-2.git3bd528e.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-04-06 20:18:58 UTC


Attachments (Terms of Use)

Description Eric Paris 2019-03-19 03:11:37 UTC
$ rpm -q podman
podman-1.2.0-18.dev.git31f11a8.fc31.x86_64

See how back to back pushes of the exact same image result in actually sending 800M across the wire (2 x ~400M)

$ podman push quay.io/eparis/ssh
Getting image source signatures
Copying blob b7ba3be6a0d6 [======================================] 269.9MiB / 269.9MiB
Copying blob 78b595bc6d4a [======================================] 130.3MiB / 130.3MiB
Copying blob 30e148fe3d3a [======================================] 3.5KiB / 3.5KiB
Copying blob f519f09aea29 [======================================] 3.5KiB / 3.5KiB
Copying blob 5f70bf18a086 [======================================] 1.0KiB / 1.0KiB
Copying config 7138a2f477 [======================================] 1.8KiB / 1.8KiB
Writing manifest to image destination
Copying config 7138a2f477 [======================================] 1.8KiB / 1.8KiB
Writing manifest to image destination
Storing signatures


$ podman push quay.io/eparis/ssh
Getting image source signatures
Copying blob b7ba3be6a0d6 [======================================] 269.9MiB / 269.9MiB
Copying blob 78b595bc6d4a [======================================] 130.3MiB / 130.3MiB
Copying blob 30e148fe3d3a [======================================] 3.5KiB / 3.5KiB
Copying blob f519f09aea29 [======================================] 3.5KiB / 3.5KiB
Copying blob 5f70bf18a086 [======================================] 1.0KiB / 1.0KiB
Copying config 7138a2f477 [======================================] 1.8KiB / 1.8KiB
Writing manifest to image destination
Copying config 7138a2f477 [======================================] 1.8KiB / 1.8KiB
Writing manifest to image destination
Storing signatures



See how docker realizes its already on quay? It doesn't push data and it finishes in about 1s, vs podman taking minute each.

$ docker push quay.io/eparis/ssh
The push refers to a repository [quay.io/eparis/ssh]
e07fb40b995e: Layer already exists 
416d37ff65c5: Layer already exists 
f420b13c5d76: Layer already exists 
b7ba3be6a0d6: Layer already exists 
latest: digest: sha256:0fa2f3c3611a52e321ef4869dbd38c8bb9540f8aed17da321cfcdbf3e59c1c63 size: 1155

$ docker push quay.io/eparis/ssh
The push refers to a repository [quay.io/eparis/ssh]
e07fb40b995e: Layer already exists 
416d37ff65c5: Layer already exists 
f420b13c5d76: Layer already exists 
b7ba3be6a0d6: Layer already exists 
latest: digest: sha256:0fa2f3c3611a52e321ef4869dbd38c8bb9540f8aed17da321cfcdbf3e59c1c63 size: 1155

Comment 1 Daniel Walsh 2019-03-19 12:54:50 UTC
This is a known issue in rootless podman.  We are working on a fix.

https://github.com/containers/buildah/pull/1411

https://github.com/containers/libpod/pull/2635

Comment 2 Fedora Update System 2019-04-01 14:47:46 UTC
podman-1.2.0-2.git3bd528e.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-8875ae3cff

Comment 3 Fedora Update System 2019-04-01 14:47:59 UTC
podman-1.2.0-2.git3bd528e.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-dede809f2a

Comment 4 Fedora Update System 2019-04-02 02:07:17 UTC
podman-1.2.0-2.git3bd528e.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-8875ae3cff

Comment 5 Fedora Update System 2019-04-02 02:30:01 UTC
podman-1.2.0-2.git3bd528e.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-dede809f2a

Comment 6 Fedora Update System 2019-04-06 20:18:58 UTC
podman-1.2.0-2.git3bd528e.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2019-04-10 07:36:26 UTC
podman-1.2.0-2.git3bd528e.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.